ServerDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.ServerDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class ServerDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.ServerDAO

    public class ServerDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ServerDAO(DAOFactory f)`

Method Summary
`void` | `create(Server s)`
`Server` | `create(ServerValue sv, Platform p)`
`java.util.Collection` | `findAll_orderName(boolean asc)`
`Server` | `findById(java.lang.Integer id)`
`Server` | `findByName(Platform plat, java.lang.String name)`
`java.util.List` | `findByName(java.lang.String name)`
`java.util.List` | `findByPlatform_orderName(java.lang.Integer id)`
`java.util.List` | `findByPlatform_orderName(java.lang.Integer id, java.lang.Boolean virtual)`
`java.util.List` | `findByPlatformAndType_orderName(java.lang.Integer id, java.lang.Integer tid)`
`java.util.List` | `findByPlatformAndType_orderName(java.lang.Integer id, java.lang.Integer tid, java.lang.Boolean isVirtual)`
`java.util.List` | `findByServices(java.lang.Integer[] ids)`
`java.util.Collection` | `findByType(java.lang.Integer sTypeId)`
`java.util.Collection` | `findDeletedServers()`
`Resource` | `findVirtualByInstanceId(java.lang.Integer id)`
`java.util.Collection` | `findVirtualByProcessId(java.lang.Integer id)`
`java.util.Collection` | `findVirtualByPysicalId(java.lang.Integer id)`
`Server` | `get(java.lang.Integer id)`
`java.lang.Number` | `getServerCount()`
`java.util.List` | `getServerTypeCounts()`
`void` | `remove(Server entity)`
`void` | `save(Server entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerDAO

    public ServerDAO(DAOFactory f)

Method Detail

### findById

    public Server findById(java.lang.Integer id)

### get

    public Server get(java.lang.Integer id)

### save

    public void save(Server entity)

### remove

    public void remove(Server entity)

### create

    public void create(Server s)

### create

    public Server create(ServerValue sv,
                         Platform p)

### findAll_orderName

    public java.util.Collection findAll_orderName(boolean asc)

### findByType

    public java.util.Collection findByType(java.lang.Integer sTypeId)

### findByPlatform_orderName

    public java.util.List findByPlatform_orderName(java.lang.Integer id)

### findByPlatform_orderName

    public java.util.List findByPlatform_orderName(java.lang.Integer id,
                                                   java.lang.Boolean virtual)

### findByPlatformAndType_orderName

    public java.util.List findByPlatformAndType_orderName(java.lang.Integer id,
                                                          java.lang.Integer tid)

### findByPlatformAndType_orderName

    public java.util.List findByPlatformAndType_orderName(java.lang.Integer id,
                                                          java.lang.Integer tid,
                                                          java.lang.Boolean isVirtual)

### findByServices

    public java.util.List findByServices(java.lang.Integer[] ids)

### findByName

    public Server findByName(Platform plat,
                             java.lang.String name)

### findByName

    public java.util.List findByName(java.lang.String name)

### findVirtualByInstanceId

    public Resource findVirtualByInstanceId(java.lang.Integer id)

### findVirtualByProcessId

    public java.util.Collection findVirtualByProcessId(java.lang.Integer id)

### findVirtualByPysicalId

    public java.util.Collection findVirtualByPysicalId(java.lang.Integer id)

### getServerTypeCounts

    public java.util.List getServerTypeCounts()

### getServerCount

    public java.lang.Number getServerCount()

### findDeletedServers

    public java.util.Collection findDeletedServers()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.